Subject: bug#66655: 29.1; Clicking buttons sometimes doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Oct 2023 14:59:55 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 24 Oct 2023 18:00:14 -0400
> 
> > With the current code, if I move the mouse between the events, but the
> > coordinates differ by less than double-click-fuzz, we will not
> > generate a drag event.  If the mouse-moved flag overrides that, we
> > will generate a drag event where previously we didn't, isn't that so?
> 
> Good point.
> 
> The patch below should fix this problem (as well as the problem that we
> only considered the mouse to move when we emitted a `mouse-movement`
> event).

This seems to assume that double-click-fuzz cannot be large enough to
allow the events be on different buffer positions?  Isn't this change
in behavior?